=== debian/changelog ===
kmess (2.0.6-0ubuntu1) natty; urgency=low

  * New upstream release
    - Refresh 01_no_debugfull_build.diff

 -- Romain Perier <romain.perier@gmail.com>  Fri, 11 Feb 2011 18:13:12 +0100

kmess (2.0.4-0ubuntu3) natty; urgency=low

  * Rebuild again for libkonq5a transition since armel got missed the first
    time

 -- Scott Kitterman <scott@kitterman.com>  Fri, 17 Dec 2010 22:19:09 -0500

kmess (2.0.4-0ubuntu2) natty; urgency=low

  * Rebuild for libkonq5a transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 14:23:12 +0000
