## kmess 2.0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -150,7 +150,7 @@
 
 # Switch between the following two commands to force using a predefined version number
 # EXECUTE_PROCESS( COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/cmake/get-git-version.sh OUTPUT_VARIABLE KMESS_VERSION )
-SET( KMESS_VERSION "2.0.6" )
+SET( KMESS_VERSION "2.0.6.1" )
 
 
 #### Define compiler flags ####
@@ -178,7 +178,7 @@
 # - relwithdebinfo  (release with debug info)
 # - minsizerel      (minsize release)
 # Uncomment the next line to always force building in full debug mode
-SET( CMAKE_BUILD_TYPE debugfull )
+SET( CMAKE_BUILD_TYPE relwithdebinfo )
 
 # Enable the KMess debug output when compiling a debug build
 IF( CMAKE_BUILD_TYPE STREQUAL debugfull OR KMESS_DEBUG_OUTPUT EQUAL 1 )
