=== Makefile ===
# Generated by ./configure: NO NOT EDIT!
# Build features:
#
#   Install prefix:      /usr
#   Auto-away feature:   yes
#   Debugging messages:  no   (good!)
#   Build type:          relwithdebinfo
#   Build directory:     build
#
#
# cmake command:
#
#   cd "/home/adam/kmess-2.0.6.1/build"
#   cmake -D CMAKE_INSTALL_PREFIX=/usr \
#         -D CMAKE_BUILD_TYPE=relwithdebinfo \
#         -D KMESS_DEBUG_OUTPUT=0 \
#         "/home/adam/kmess-2.0.6.1"
#

default_target:
	@$(MAKE) --no-print-directory -C 'build' default_target

cmake_force:
	@$(MAKE) --no-print-directory -C 'build' cmake_force

edit_cache:
	@$(MAKE) --no-print-directory -C 'build' edit_cache

edit_cache/fast:
	@$(MAKE) --no-print-directory -C 'build' edit_cache/fast

install:
	@$(MAKE) --no-print-directory -C 'build' install

install/fast:
	@$(MAKE) --no-print-directory -C 'build' install/fast

install/local:
	@$(MAKE) --no-print-directory -C 'build' install/local

install/local/fast:
	@$(MAKE) --no-print-directory -C 'build' install/local/fast

install/strip:
	@$(MAKE) --no-print-directory -C 'build' install/strip

install/strip/fast:
	@$(MAKE) --no-print-directory -C 'build' install/strip/fast

list_install_components:
	@$(MAKE) --no-print-directory -C 'build' list_install_components

list_install_components/fast:
	@$(MAKE) --no-print-directory -C 'build' list_install_components/fast

rebuild_cache:
	@$(MAKE) --no-print-directory -C 'build' rebuild_cache

rebuild_cache/fast:
	@$(MAKE) --no-print-directory -C 'build' rebuild_cache/fast

test:
	@$(MAKE) --no-print-directory -C 'build' test

test/fast:
	@$(MAKE) --no-print-directory -C 'build' test/fast

all:
	@$(MAKE) --no-print-directory -C 'build' all

clean:
	@$(MAKE) --no-print-directory -C 'build' clean

clean/fast:
	@$(MAKE) --no-print-directory -C 'build' clean/fast

preinstall:
	@$(MAKE) --no-print-directory -C 'build' preinstall

preinstall/fast:
	@$(MAKE) --no-print-directory -C 'build' preinstall/fast

depend:
	@$(MAKE) --no-print-directory -C 'build' depend

uninstall:
	@$(MAKE) --no-print-directory -C 'build' uninstall

uninstall/fast:
	@$(MAKE) --no-print-directory -C 'build' uninstall/fast

translations:
	@$(MAKE) --no-print-directory -C 'build' translations

translations/fast:
	@$(MAKE) --no-print-directory -C 'build' translations/fast

en-handbook:
	@$(MAKE) --no-print-directory -C 'build' en-handbook

en-handbook/fast:
	@$(MAKE) --no-print-directory -C 'build' en-handbook/fast

kmess:
	@$(MAKE) --no-print-directory -C 'build' kmess

kmess/fast:
	@$(MAKE) --no-print-directory -C 'build' kmess/fast

kmess_automoc:
	@$(MAKE) --no-print-directory -C 'build' kmess_automoc

kmess_automoc/fast:
	@$(MAKE) --no-print-directory -C 'build' kmess_automoc/fast

kmesssendplugin:
	@$(MAKE) --no-print-directory -C 'build' kmesssendplugin

kmesssendplugin/fast:
	@$(MAKE) --no-print-directory -C 'build' kmesssendplugin/fast

kmesssendplugin_automoc:
	@$(MAKE) --no-print-directory -C 'build' kmesssendplugin_automoc

kmesssendplugin_automoc/fast:
	@$(MAKE) --no-print-directory -C 'build' kmesssendplugin_automoc/fast

kmesssendpluginlib:
	@$(MAKE) --no-print-directory -C 'build' kmesssendpluginlib

kmesssendpluginlib/fast:
	@$(MAKE) --no-print-directory -C 'build' kmesssendpluginlib/fast

help:
	@$(MAKE) --no-print-directory -C 'build' help

cmake_check_build_system:
	@$(MAKE) --no-print-directory -C 'build' cmake_check_build_system
