=== data/CMakeLists.txt ===

ADD_SUBDIRECTORY( pics       )
ADD_SUBDIRECTORY( icons      )
ADD_SUBDIRECTORY( sounds     )
ADD_SUBDIRECTORY( emoticons  )
ADD_SUBDIRECTORY( chatstyles )

INSTALL( FILES  kmesschatstyles.knsrc  DESTINATION ${CONFIG_INSTALL_DIR}     )
INSTALL( FILES  kmess.notifyrc         DESTINATION ${DATA_INSTALL_DIR}/kmess )
INSTALL( FILES  kmess.desktop          DESTINATION ${XDG_APPS_INSTALL_DIR}   )
