=== tests/CMakeLists.txt ===
# Do nothing here :)
