=== data/chatstyles/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )

add_subdirectory( Colourful-Enclosed )
add_subdirectory( Classic )
add_subdirectory( Classic-compact )
add_subdirectory( Dim )
add_subdirectory( Efficient )
add_subdirectory( Fresh )
add_subdirectory( Fresh-dark )
add_subdirectory( Pure )


########### install files ###############

install( FILES  examplemessage.xml DESTINATION ${DATA_INSTALL_DIR}/kmess/styles/ )
