=== data/emoticons/CMakeLists.txt ===

ADD_SUBDIRECTORY( KMess2-new )
