=== data/icons/CMakeLists.txt ===

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR} )

SET( KMESS_ICON_INSTALL_DIR ${DATA_INSTALL_DIR}/kmess/icons/hicolor/16x16 )

# If Likeback is enabled, install the needed icons
IF( NOT ${KMESS_DISABLE_LIKEBACK} EQUAL 1 )
  INSTALL( FILES likeback_bug.png     DESTINATION ${KMESS_ICON_INSTALL_DIR}/actions )
  INSTALL( FILES likeback_dislike.png DESTINATION ${KMESS_ICON_INSTALL_DIR}/actions )
  INSTALL( FILES likeback_feature.png DESTINATION ${KMESS_ICON_INSTALL_DIR}/actions )
  INSTALL( FILES likeback_like.png    DESTINATION ${KMESS_ICON_INSTALL_DIR}/actions )
ENDIF( NOT ${KMESS_DISABLE_LIKEBACK} EQUAL 1 )

INSTALL( FILES kmess-shadow.png DESTINATION ${KMESS_ICON_INSTALL_DIR}/apps )
