=== data/pics/CMakeLists.txt ===

SET( kmess_PICS
   away.png
   background.png
   berightback.png
   blocked.png
   busy.png
   emoticons.png
   empty.png
   invisible.png
   kmesspic.png
   kmessstrip1.png
   kmessstrip2.png
   lunch.png
   offline.png
   online.png
   onthephone.png
   unknown.png
   contact_away_overlay.png
   contact_busy_overlay.png
   contact_food_overlay.png
   contact_invisible_overlay.png
   contact_phone_overlay.png
)

INSTALL( FILES ${kmess_PICS} DESTINATION ${DATA_INSTALL_DIR}/kmess/pics )
