=== debian/changelog ===
kmess (2.0.6.1-3) unstable; urgency=low

  * Add use_ssl_v3.diff, avoids disconnections each minute. (Closes: #697918)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 17 Jan 2013 22:34:48 +0100

kmess (2.0.6.1-2) unstable; urgency=high

  * Add follow-location-redirects.diff, this makes KMess usable with the latest
    changes in MSN servers. (Closes: #648080)
  * Update Vcs-* fields, this package was moved to git.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Add myself to Uploaders.
  * Urgency is high because this upload fixes an RC bug which affects testing.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 09 Nov 2011 15:31:56 +0100

kmess (2.0.6.1-1) unstable; urgency=low

  * New Upstream Release (Closes: #602938, #610153).

  [ Ana Beatriz Guerrero Lopez ]
  * Remove Mario Iseli from Uploaders (MIA).

  [ George Kiagiadakis ]
  * Drop all patches; applied upstream.
  * Add myself to uploaders.
  * Drop dependency on libqca2-plugin-ossl; kmess now uses gcrypt.
  * Bump standards-version to 3.9.1; no changes required.
  * Add DEB_KDE_LINK_WITH_AS_NEEDED := yes to avoid uselessly
    linking on nepomuk and soprano libs.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 04 Apr 2011 14:28:04 +0300
